Bug 31748 - лишнее ограничение в лицензионном соглашении
: лишнее ограничение в лицензионном соглашении
Status: CLOSED FIXED
: Branch p7
(All bugs in Branch p7/branding-altlinux-starterkit-notes)
: не указана
: all Linux
: P3 major
Assigned To:
:
: http://www.opennet.ru/openforum/vsluh...
: relnote
:
:
  Show dependency tree
 
Reported: 2016-02-01 19:26 by
Modified: 2016-03-11 23:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-02-01 19:26:49
Вот этот пункт:

  20 <p>1.3 Заключение договора</p>
  21 <p>В настоящем договоре определены права конечных пользователей и не
передаются права на распространение ДИСТРИБУТИВА.  Системным интеграторам,
дистрибьюторам и OEM-производителям для получения прав на распространение
следует обращаться в ООО «Альт Линукс» по адресу sales@altlinux.ru для
заключения письменного договора.</p>
  22 <p>Настоящий договор является договором присоединения и не требует
письменного заключения.  Использование ДИСТРИБУТИВА способами, оговоренными в
настоящем договоре, означает принятие условий настоящего договора и влечет за
собой заключение настоящего договора.</p>

(http://git.altlinux.org/people/mike/packages/?p=branding.git;a=blob;f=notes/license.ru.html.in;h=2dbf150ea500e7cc647ff3deabeb7192e9bc5c99;hb=refs/heads/p7-starter#l20)

накладывает совершенно не предполагавшееся ограничение, аналогичное таковым в
_дистрибутивах_ ALT Linux, на стартовые наборы.

Поскольку они являются не продуктами, но заготовками -- нет никакого смысла
защищать их от недобросовестного коммерческого распространения.

Спасибо пользователю antares0 на opennet.ru, который обратил на это внимание.
------- Comment #1 From 2016-03-11 19:53:11 -------
В branding-altlinux-starterkit-notes-p7-alt7.M70P.1
п. 2.1 изложен в такой редакции:

---
<p>2.1 Права на НАБОР</p>

<p>НАБОР содержит как свободные, так и несвободные компоненты.  На
распространение несвободных компонент получены соответствующие разрешения
правообладателей.  Авторские права на НАБОР как составное произведение
принадлежат ООО «Альт Линукс».</p>

<p>НАБОР как составное произведение предоставляется на условиях GNU General
Public License версии 2 или любой последующей (на Ваш выбор); таким образом,
Вам предоставляются перечисленные далее неисключительные права на данное
составное произведение.  Исходный профиль, использованный для сборки
конкретного НАБОРА, входит в него на тех же условиях.</p>

<p>Владелец экземпляра НАБОРА как лицо, правомерно владеющее экземпляром
программы для ЭВМ, имеет право на «свободное воспроизведение» НАБОРА в
соответствии с положениями применимого законодательства об авторском праве вне
зависимости от положений настоящего договора или лицензионных договоров на
отдельные ПРОГРАММЫ, включенные в состав НАБОРА.</p>
--- notes/license.ru.html.in

---
<p>2.1 Rights to the Kit</p>

<p>This Kit includes both free and non-free components. Permission to
distribute the non-free components has been obtained from corresponding
copyright owners. ALT Linux Ltd holds copyright to the Kit as a composite
work.</p> 

<p>The Kit as a composite work is licensed under the terms of GNU General
Public License, version 2 or (at your option) any later version; thus granting
you the below non-exclusive rights to it as such. The source profile used to
build a particular Kit is included with it on the same terms.</p>

<p>Owner of the Kit as a person who lawfully owns a copy of a computer program
has the right to freely reproduce the Kit according to provisions of the
applicable copyright law regardless of provisions of this Agreement or license
agreements for individual Applications included in this Kit.</p>
--- notes/license.all.html.in
------- Comment #2 From 2016-03-11 19:53:57 -------
...а первая часть п. 1.3 (строка 21 в comment 0) убрана.
------- Comment #3 From 2016-03-11 20:25:58 -------
Пожалуйста, дайте ссылку на текущий полный текст.
Вот что меня интересует: 
ООО получило право на распространение несвободных компонент(ов?), но есть ли
оно у пользователей? Надо бы или оговорить, что ООО получило эти права и для
пользователей, или исключить эти компоненты.
------- Comment #4 From 2016-03-11 20:56:55 -------
(В ответ на комментарий №3)
> Пожалуйста, дайте ссылку на текущий полный текст.
http://git.altlinux.org/people/mike/packages/?p=branding.git;a=blob;f=notes/license.ru.html.in;h=6a11eee2a09ea4396fc964538fdd6a5f00e9bdc9;hb=eae894c3add58a75ec2a1b5a096a150816327077

> Вот что меня интересует: 
> ООО получило право на распространение несвободных компонент(ов?), но есть ли
> оно у пользователей? Надо бы или оговорить, что ООО получило эти права и для
> пользователей, или исключить эти компоненты.
В этом плане отличие от дистрибутивного текста в том, что я _не_ кладу
несвободные компоненты, на которые у нас нет права распространения на _общих_
основаниях (т.е. потому что они redistributable, а не в силу наличия особого
договора с поставщиком).

На самом деле весьма вероятно, что мы их не кладём и в дистрибутивы уже давно,
но там смотреть надо.
------- Comment #5 From 2016-03-11 21:19:32 -------
Переформулировал так:

<p>НАБОР содержит как свободные, так и несвободные компоненты, распространение
которых (первичное и дальнейшее) разрешается лицензиями правообладателей. 
Авторские права на НАБОР как составное произведение принадлежат ООО «Альт
Линукс».</p>
------- Comment #6 From 2016-03-11 22:57:04 -------
Англоязычный вариант, соответственно:

<p>This Kit includes both free and non-free components licensed for
redistribution by corresponding copyright owners. ALT Linux Ltd holds copyright
to the Kit as a composite work.</p>

Если нет возражений -- отправляю задание №161226.
------- Comment #7 From 2016-03-11 23:01:30 -------
У меня нет возражений.
------- Comment #8 From 2016-03-11 23:18:23 -------
branding-altlinux-starterkit-p7-alt7.M70P.2 -> p7:

* Fri Mar 11 2016 Michael Shigorin <mike@altlinux> p7-alt7.M70P.2
- tweaked license a bit more

* Fri Mar 11 2016 Michael Shigorin <mike@altlinux> p7-alt7.M70P.1
- fixed license (closes: #31748)
- tweaked bootloader help cursor background colour